version: '3'
services:
  db:
    image: mysql:8.0.27
    restart: unless-stopped
    volumes:
      - db_data_vol:/var/lib/mysql
      - db_conf_vol:/etc/mysql/conf.d
    # environment:
    #   - MYSQL_ROOT_PASSWORD: 처음실행할때 입력하고 up -> down -> 지우고 -> up
    ports:
      - 3306:3306
volumes:
  db_data_vol:
    driver: local
    driver_opts:
      type: none
      device: /var/lib/docker-bindings/mysql8/data
      o: bind
  db_conf_vol:
    driver: local
    driver_opts:
      type: none
      device: /var/lib/docker-bindings/mysql8/conf
      o: bind
